package cribbage

import "git.sr.ht/~tslocum/cards"

// Sum returns the total cribbage value of the supplied cards.
func Sum(c cards.Cards) int {
	var v int
	for _, card := range c {
		v += Value(card)
	}
	return v
}

func compareCards(i, j interface{}) bool {
	icard := i.(cards.Card)
	jcard := j.(cards.Card)
	return icard.Value() < jcard.Value()
}
